# Ssh2MethodConnectionParam

Class that holds parameters for an ssh2_connect $methods parameter This corresponds to the client_to_server and server_to_client keys of the optional $methods parameter for the ssh2_connect function

see |
author | Derek Gallo http://github.com/drock
package | phing.tasks.ext

### Methods

## _filterParam

    _filterParam( $var) : boolean

### Arguments

#### $var

``

### Response

`boolean`

## getComp

    getComp() : string

### Response

`string`

## getCrypt

    getCrypt() : string

### Response

`string`

## getMac

    getMac() : string

### Response

`string`

## setComp

    setComp(string $comp)

### Arguments

#### $comp

`string`

## setCrypt

    setCrypt(string $crypt)

### Arguments

#### $crypt

`string`

## setMac

    setMac(string $mac)

### Arguments

#### $mac

`string`

## Get the params as an array unset/null params are excluded from the array

    toArray() : array

### Response

`array`

### Properties

## crypt

    crypt : string

var |

### Type(s)

`string`

## comp

    comp : string

var |

### Type(s)

`string`

## mac

    mac : string

var |

### Type(s)

`string`